VIEWIMG_VALUES_GEOM_FUNC(3)

EXPERIMENTAL_FUNC
viewimg_values_geom_func - Process a geometry editor event on a pixel canvas.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_values_geom_func

(KPixCanvasEditorContext context, KPixCanvas canvas, unsigned int object_type, unsigned int num_coords, CONST int *x, CONST int *y, unsigned int raw_event_code, void *raw_e_info, void **f_info)

DESCRIPTION
Process a geometry editor event on a pixel canvas.

context
    The KPixCanvasEditorContext.

canvas
    The pixel canvas on which the event occurred.

object_type
    The type of the geometric object.

num_coords
    The number of co-ordinates in the geometric object.

x   The array of horizontal co-ordinates for the geometric object.

y   The array of vertical co-ordinates for the geometric object.

raw_event_code
    The raw arbitrary event code.

raw_e_info
    A pointer to the raw arbitrary event information.

f_info
    A pointer to an arbitrary function information pointer.

RETURN VALUE
TRUE if the event was consumed, else FALSE indicating that the event is still to be processed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/